Name:		mate-file-manager-open-terminal
Version:	1.6.1
Release:	1%{?dist}
Summary:	Mate-file-manager extension for an open terminal shortcut

License:	GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

BuildRequires:	mate-common
BuildRequires:	pkgconfig(libcaja-extension)
BuildRequires:	pkgconfig(mate-desktop-2.0)

%description
The mate-file-manager-open-terminal extension provides a right-click "Open
Terminal" option for mate-file-manager users who prefer that option.

%prep
%setup -q

#NOCONFIGURE=1 ./autogen.sh

%build
%configure \
    --disable-static  \
    --disable-schemas-compile

make %{?_smp_mflags} V=1


%install
%{make_install}

rm -f %{buildroot}%{_libdir}/caja/extensions-2.0/*.la

# remove needless gsettings convert file
rm -f  %{buildroot}%{_datadir}/MateConf/gsettings/caja-open-terminal.convert

%find_lang caja-open-terminal


%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f caja-open-terminal.lang
%doc AUTHORS ChangeLog README COPYING
%{_libdir}/caja/extensions-2.0/libcaja-open-terminal.so
%{_datadir}/glib-2.0/schemas/org.mate.caja-open-terminal.gschema.xml


%changelog
* Fri Jan 31 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-1
- update to 1.6.1 release
- remove upstreamed patch
- use modern 'make install' macro
- remove needless BR mate-doc-utils

* Thu Sep 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-4
- fix rhbz (#1004501), caja crashed if openening a terminal in remote locations

* Thu Aug 15 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-3
- fix yum scriptlet errors
- remove needless gsettings-desktop-schemas dependencies
- remove gsettings convert file

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 08 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Update to latest upstream release
- Clean up specfile

* Thu Oct 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build
